Bug 13939 - ILS-DI function GetServices doesn't work when the item/biblio is available for hold for specific patron
Summary: ILS-DI function GetServices doesn't work when the item/biblio is available fo...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-02 04:19 UTC by Josef Moravec
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13939: ILS-DI function GetServices doesn't work when the item/biblio is available for hold for specific patron (1.39 KB, patch)
2015-04-02 04:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Sign off of patch (1.44 KB, patch)
2015-04-02 10:46 UTC, Tom Misilo
Details | Diff | Splinter Review
[PASSED QA] Bug 13939: ILS-DI function GetServices doesn't work when the item/biblio is available for hold for specific patron (1.50 KB, patch)
2015-04-03 17:29 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2015-04-02 04:19:59 UTC

    
Comment 1 Josef Moravec 2015-04-02 04:25:45 UTC Comment hidden (obsolete)
Comment 2 Tom Misilo 2015-04-02 10:46:47 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-04-03 17:29:14 UTC
Created attachment 37462 [details] [review]
[PASSED QA] Bug 13939: ILS-DI function GetServices doesn't work when the item/biblio is available for hold for specific patron

Test plan:
1) Enable ILS DI (system preference 'ILS-DI')
2) Try to access the URL
http://<your_opac_url>/cgi-bin/koha/ilsdi.pl?service=GetServices&patron_id=<borrowernumber>&item_id=<itemnumber>
Choose the patron and item to be available for hold
You'll see an error instead of valid XML response
3) apply the patch
4) try to access the same URL, you should see valid XML response with services "title level hold" and eventually "item level hold" returned

Signed-off-by: Thomas Misilo <misilot@fit.edu>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-04-08 19:45:28 UTC
Patch pushed to master.

Thanks Josef!
Comment 5 Chris Cormack 2015-04-12 08:07:06 UTC
Pushed to 3.18.x will be in 3.18.6